<?php 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


/**
 * Définition d'une interface.
 * 
 */
interface read_write
{ 
	// deux méthodes pour accéder à l'objet
	
	/**
	 * Renvoie la valeur
	 * @return [type] [description]
	 */
	public function getValue();


	/**
	 * Mets à jour la valeur
	 * @return [type] [description]
	 */
	public function setValue( $sVal );

} 


/**
 * Définition d’une classe qui implémente une interface.
 * La classe FileEdit possède donc toutes les méthodes de l'interface read_write
 * 
 */
class FileEdit implements read_write
{ 
	// la valeur 
	private $sValeur; 


	/**
	 * le constructeur
	 * @param [type] $prenom [description]
	 * @param [type] $nom    [description]
	 */
	public function __construct($valeur)
	{ 
		$this->sValeur = $valeur; 
	} 



	/**
	 * Implémentation de la méthode d'écriture.
	 * @param [type] $valeur [description]
	 */
	public function setValue($valeur)
	{ 
		$this->sValeur = $valeur; 
	} 
	

	/**
	 * Implémentation de la méthode de lecture.
	 * @param [type] $valeur [description]
	 */
	public function getValue()
	{ 
		return $this->sValeur; 
	} 

} 


// Utilisation de la classe fille. 
$objet = new FileEdit("Hello You");
echo $objet->getValue()."<br />";

$objet->setValue("Bonjour"); 
echo $objet->getValue()."<br />"; 

?>
